{% extends 'base.html' %}
{% block content %}
    <div class="container" style="padding-top: 40px">
        <div class="card">
            <div class="card-header">
                <h3>Imports de fichiers Excel</h3>
            </div>
            <div class="card-body">
                <form action="{% url 'imports' %}" method="post" enctype="multipart/form-data">
                    {% csrf_token %}

                    <div class="form-group" style="padding-left: 30px;">
                        <label for="excel_file">Sélectionnez le fichier Excel </label>
                        <input type="file" id="excel_file" name="excel_file">
                    </div>

                    <div class="form-group" style="padding-left: 30px;">
                        <label for="type">Type de ressource à importer </label>
                        <select name="type" id="type">
                            <option value="vehicule">Véhicules</option>
                        </select>
                    </div>
                    <div id="button">
                        <input id="submit" type="submit" value="Importer">
                    </div>
                </form>

                <div style="font-style: italic;padding-top: 20px;">Note : Seule la première feuille du fichier Excel est importée, et ses colonnes doivent
                    correspondre à celles précisées dans le <a
                            href="https://gitlab.com/sia-insa-lyon/dev/dev-croix-rouge/-/wikis/Sp%C3%A9cification-des-imports-Excel">Wiki</a>
                </div>
            </div>
        </div>
    </div>
    <script>
        $("form").submit(function () {
            $("#button")[0].innerHTML = genererHTMLLoader();
            $("#button")[0].innerHTML += "<p>Import en cours. Le processus peut prendre jusqu'à quelques minutes...</p>";
        });

        $(function () {
            $('#submit').prop('disabled', true);
        })

        $('#excel_file').change(function () {
            $('#submit').prop('disabled', false);
        });
    </script>

{% endblock %}
